<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateWorkOrdersTable extends Migration {

	public function up()
	{
		Schema::create('work_orders', function(Blueprint $table) {
			$table->increments('id');
			$table->integer('user_id')->default('0');
			$table->integer('work_order_id')->unique()->nullable()->default('0');
			$table->datetime('start_date');
			$table->datetime('end_date')->nullable();
			$table->string('start_location', 255);
			$table->string('end_location', 255);
			$table->smallInteger('vehicle_id');
			$table->smallInteger('fuel_id')->nullable()->default('0');
			$table->smallInteger('mileage')->nullable()->default('0');
			$table->smallInteger('quantity')->nullable()->default('0');
			$table->float('unit_price', 8,2)->nullable()->default('0');
			$table->float('total_price', 8,2)->nullable()->default('0');
			$table->smallInteger('multi_route')->nullable()->default('0');
			$table->tinyInteger('pump_use')->nullable()->default('0');
			$table->float('pump_price', 8,2)->nullable()->default('0');
			$table->smallInteger('island_id')->nullable()->default('0');
			$table->smallInteger('toll_cost')->nullable()->default('0');
			$table->smallInteger('toll_discounted')->nullable()->default('0');
			$table->smallInteger('location_tracker_id')->nullable();
			$table->smallInteger('escort')->nullable()->default('0');
			$table->softDeletes();
			$table->timestamps();
			$table->smallInteger('uploaded_location_id')->nullable();
			$table->integer('supplier_id');
		});
	}

	public function down()
	{
		Schema::drop('work_orders');
	}
}