<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class VehicleMonthly extends Eloquent {

	protected $table = 'vehicle_monthly';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('vehicle_id', 'location_city', 'inspected_date', 'driver_id', 'inspected_inspector', 'quantity', 'document_prometna', 'document_adr_vehicle', 'document_adr_driver', 'document_workorder', 'document_osobna', 'document_prijevozopasnih', 'document_prijevozopasnih_isprava', 'document_prijevozopasnih_ostalo', 'document_upute', 'document_propisana', 'vehicle_vlasnik', 'vehicle_masa_praznog', 'vehicle_masa_najveca', 'vehicle_kotaci', 'vehicle_armaturni_uredan', 'vehicle_armaturni_mehanicka', 'vehicle_armaturni_odvodi', 'vehicle_armaturni_propusti', 'vehicle_akumulator', 'vehicle_cisterna_nepropusno', 'vehicle_cisterna_opasna', 'vehicle_cisterna_spremna', 'vehicle_crijeva_neostecena', 'vehicle_crijeva_kape', 'vehicle_crijeva_spojevi', 'vehicle_elektrika_kabeli', 'vehicle_elektrika_uredjaji', 'vehicle_spremnici_zatvoreni', 'vehicle_spremnici_tekucina', 'vehicle_spremnici_odvod', 'vehicle_rukohvati', 'vehicle_stupanj', 'vehicle_vatra_mrezica', 'vehicle_vatra_poklopac', 'vehicle_vatra_vod', 'vehicle_zastitna_potpuna', 'vehicle_zastitna_podmetac', 'vehicle_zastitna_samostojeci', 'vehicle_zastitna_ozs', 'vehicle_zastitna_svjetiljka', 'vehicle_zastitna_dodatno', 'vehicle_protupozarni', 'vehicle_maska', 'vehicle_trokut', 'vehicle_prvapomoc', 'vehicle_pex', 'vehicle_uzemljenje', 'vehicle_narancaste_ispravne', 'vehicle_narancaste_unbroj', 'vehicle_narancaste_listici', 'vehicle_narancaste_pakovanje_natpisi', 'vehicle_narancaste_pakovanje_listici', 'vehicle_zavrsno_pakovanja', 'vehicle_zavrsno_pakovanja_broj', 'vehicle_zavrsno_male_kolicine', 'vehicle_zavrsno_vidljiva', 'vehicle_zavrsno_teret', 'vehicle_notes', 'current_mileage');

	public function driver()
	{
		return $this->belongsTo('App\User', 'driver_id', 'id');
	}

	public function inspector()
	{
		return $this->belongsTo('App\User', 'inspected_inspector', 'id');
	}

	public function vehicle()
	{
		return $this->belongsTo('App\Models\Vehicle', 'vehicle_id', 'id');
	}

}