<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class WorkOrderAnn extends Eloquent {

	protected $table = 'work_orders_ann';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('start_date', 'creator_id', 'work_order_id', 'vehicle_id', 'fuel_id', 'quantity', 'user_id', 'customer', 'annotation', 'annotation_internal', 'location_city', 'location_street', 'annotation_traffic', 'supplier_id', 'uploaded_location_id');

	public function creator()
	{
		return $this->belongsTo('App\User', 'creator_id', 'id');
	}

	public function work_order()
	{
		return $this->hasOne('App\Models\WorkOrder', 'id', 'work_order_id');
	}

	public function user()
	{
		return $this->hasOne('App\User', 'id', 'user_id');
	}

	public function vehicle()
	{
		return $this->hasOne('App\Models\Vehicle', 'id', 'vehicle_id');
	}

	public function fuel()
	{
		return $this->hasOne('App\Models\Fuel', 'id', 'fuel_id');
	}

	public function supplier()
	{
		return $this->hasOne('App\Models\Supplier', 'id', 'supplier_id');
	}

	public function vehicle_daily()
	{
		return $this->hasMany('App\Models\VehicleMonthly', 'id');
	}

	public function uploaded_location()
	{
		return $this->hasOne('App\Models\UploadedLocation', 'id', 'uploaded_location_id');
	}

}